Skip to main content
PATCH
/
crm
/
pipelines
/
2026-03
/
{objectType}
/
{pipelineId}
cURL
curl --request PATCH \
  --url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "archived": true,
  "displayOrder": 123,
  "label": "<string>"
}
'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "displayOrder": 123,
  "id": "<string>",
  "label": "<string>",
  "stages": [
    {
      "archived": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "displayOrder": 123,
      "id": "<string>",
      "label": "<string>",
      "metadata": {},
      "updatedAt": "2023-11-07T05:31:56Z",
      "writePermissions": "CRM_PERMISSIONS_ENFORCEMENT",
      "archivedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectType
string
required
pipelineId
string
required

Query Parameters

validateDealStageUsagesBeforeDelete
boolean
default:false
validateReferencesBeforeDelete
boolean
default:false

Body

application/json
archived
boolean

Whether the pipeline is archived. This property should only be provided when restoring an archived pipeline. If it's provided in any other call, the request will fail and a 400 Bad Request will be returned.

displayOrder
integer<int32>
label
string

Response

successful operation

archived
boolean
required

Whether the pipeline is archived.

createdAt
string<date-time>
required
displayOrder
integer<int32>
required
id
string
required
label
string
required
stages
object[]
required

The stages associated with the pipeline. They can be retrieved and updated via the pipeline stages endpoints.

updatedAt
string<date-time>
required

The date the pipeline was last updated.

archivedAt
string<date-time>

The date the pipeline was archived. archivedAt will only be present if the pipeline is archived.

Last modified on March 30, 2026